@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  @include flex(center);

  &.app-tooltip-visible {
    // tooltip
    app-tooltip {
      display: inline-block;
      max-width: 100%;
    }
  }
}

// right section
.app-right {
  margin-left: 8px;
}

// set ellipsis
.app-name,
.app-email {
  @include ellipsis;
}

// user name
.app-name {
  @include robotoMedium;
  color: $eclipse;
  font-size: 12px;
  line-height: 14px;

  &.app-link {
    color: $havelock-blue;
  }
}

// user email
.app-email {
  @include robotoRegular;
  font-size: 10px;
  line-height: 13px;
  color: $melanzane;
}

// user role
.app-role {
  @include robotoMedium;
  color: $tangerine-yellow;
  margin-top: 1px;
  font-size: 10px;
  line-height: 13px;
}

// user key sn
.app-key {
  @include robotoRegular;
  font-size: 10px;
  line-height: 13px;
  color: $suva-grey;

  span {
    color: $eclipse;
  }
}
